<!DOCTYPE html>
<html lang="en">
<head>
	<title>Tradespace - A Global Money Platform</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css" integrity="sha512-SzlrxWUlpfuzQ+pcUCosxcglQRNAq/DZjVsC0lE40xsADsfeQoEypE+enwcOiGjk/bSuGGKHEyjSoQ1zVisanQ==" crossorigin="anonymous" referrerpolicy="no-referrer">
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css">
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
	<link href="/css/style.css" rel="stylesheet">
	<!-- Favicons -->
	<link href="/img/favicon.png" rel="icon">
	<link rel="apple-touch-icon" sizes="180x180" href="/img/apple-touch-icon.png">
	<link rel="icon" type="image/png" sizes="32x32" href="/img/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="16x16" href="/img/favicon-16x16.png">
</head>
<body>
	<section class="h-100">
		<div class="container h-100">
			<div class="row justify-content-center h-100">
				<div class="col-xxl-6 col-xl-7 col-lg-8 col-md-9 col-sm-12 col-xs-12 col-12">
					<div class="text-center">
						<img src="/img/header2.png" alt="" class="w-50">
					</div>
					<div class="cardshadow-lg">
						<div class="card-body px-3 pb-3 pt-4">
							<div class="container">
								<div class="row">
									<div class="col">
										<h4 class="fs-3 card-title fw-bold mb-4">Complete the Tradespace Transfer</h4>
										<p><span id="senderName" class="fw-bold">MR PLACEHOLDER PLACEHOLDER</span>, has requested to send you:<br><span id="transferAmount" class="fw-bold fs-5">$123</span> <span id="transferCurrency" class="fw-bold fs-5">(CAD)</span> to your <span id="transferAccount"></span> account.</p>
										<h5 class="fs-5 fw-bold">Message From Sender</h5>
										<p id="memo" class="small border-start border-dark border-2 px-2 fst-italic">No message was included.</p>
										<p>Submit your secret passphrase that you had discussed with the sender to deposit the amount.</p>
										<p>If this was by mistake you can cancel this request and the sender's amounts will be refunded.</p>
										<p><a id="cancelBtn" class="btn btn-sm btn-danger">Cancel Request</a></p>
										<div class="row">
											<div class="col">
												<div class="mb-3">
													<label class="form-label">Your Secret Passphrase</label>
													<div class="input-group">
														<input type="password" id="secretInput" class="form-control">
														<div class="input-group-text">
															<a id="secretToggle">
																<i class="fa-solid fa-eye"></i>
															</a>
														</div>
													</div>
												</div>
											</div>
										</div>

										<div class="row">
											<div class="col">
												<div class="mb-3 d-flex justify-content-center">
													<button class="btn btn-primary btn w-100" id="depositBtn">Complete Transfer</button>
												</div>
											</div>
										</div>
										<div class="row">
											<div class="col">
												<p class="lh-sm text-muted"><small>Tradespace reserves the right to abort or revert any transfer for any reason deemed neccessary. Customers are responsible to do their due diligence regarding to fradulent activity.</small></p>
											</div>
										</div>

									</div>
								</div>
							</div>
						</div>

						<div class="text-center my-5 text-muted">
							Copyright &copy; 2023 &mdash; Tradespace<br>
							INFO 4190-4290 S10 Summer 2023
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>

	<div class="modal fade" id="processingModal" tabindex="-1" aria-labelledby="processingModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="processingModalLabel">Processing. Please Wait.</h5>
				</div>
				<div class="modal-body">
					<div class="container">
						<div class="row">
							<div class="col d-flex justify-content-center">
								<div id='processingModalSpinner' class="spinner-border text-primary my-5 text-center" role="status" style="width: 3rem; height: 3rem;"></div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="modal fade" id="successModal" tabindex="-1" aria-labelledby="successModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="successModalLabel">Transfer Complete. Funds Deposited!</h5>
				</div>
				<div class="modal-body">
					<div class="container">
						<div class="row">
							<div class="col d-flex justify-content-center">
								<i id='successModalIcon' class="fa-solid fa-circle-check text-success my-5 text-center d-none" style="font-size: 3rem"></i>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="modal fade" id="errorModal" tabindex="-1" aria-labelledby="errorModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-dialog-centered">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="errorModalLabel"></h5>
				</div>
				<div class="modal-body">
					<div class="container">
						<div class="row">
							<div class="col d-flex justify-content-center">
								<i id='errorModalIcon' class="fa-solid fa-triangle-exclamation text-danger my-5 text-center d-none" style="font-size: 3rem"></i>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>

	<script src="/js/transfer_accept.js"></script>
</body>
</html>